替换 Git 权限
curl --request PUT \
--url https://api.devin.ai/v3/enterprise/organizations/{org_id}/git-providers/permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"permissions": [
{
"git_connection_id": "<string>",
"group_prefix": "<string>",
"prefix_path": "<string>",
"read_only": false,
"repo_path": "<string>"
}
]
}
'import requests
url = "https://api.devin.ai/v3/enterprise/organizations/{org_id}/git-providers/permissions"
payload = { "permissions": [
{
"git_connection_id": "<string>",
"group_prefix": "<string>",
"prefix_path": "<string>",
"read_only": False,
"repo_path": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
permissions: [
{
git_connection_id: '<string>',
group_prefix: '<string>',
prefix_path: '<string>',
read_only: false,
repo_path: '<string>'
}
]
})
};
fetch('https://api.devin.ai/v3/enterprise/organizations/{org_id}/git-providers/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"git_connection_id": "<string>",
"git_permission_id": "<string>",
"created_at": 123,
"group_prefix": "<string>",
"prefix_path": "<string>",
"read_only": false,
"repo_path": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Git 权限(企业版)
替换 Git 权限
PUT
/
v3
/
enterprise
/
organizations
/
{org_id}
/
git-providers
/
permissions
替换 Git 权限
权限
ManageGitIntegrations 权限的服务用户。授权
服务用户凭据(前缀:cog_)
路径参数
组织 ID(前缀:org-)
示例:
"org-abc123def456"
请求体
application/json
Maximum array length:
200Show child attributes
Show child attributes
⌘I

